# APAnalysis

## Description
This program will create a PDF and an Excel sheet with quantitative analyses
genreated from action potential (AP) recordings. The recordings can either be
in text format (such as from the IEKM's sharp electrode setup) or in ABF format
(from Axon software such as pClamp).

## Prerequisites
### Minimal
- numpy
- scipy
- matplotlib
- openpyxl

### GUI
- wxpython

### To create a .exe on Windows
- py2exe


## Use as script / command line tool
`python3 apanalysis.py <filename>` 
where `<filename>` is a AP recording (ABF or sharp electrode setup)

## Use GUI
`python3 apgui.py`

When creating a link on Windows, the working directory might have to be the directory in which the file `apanalysis.py` is located (not tested).

## Create a .exe file for windows
1. Install prerequisites: 
`pip3 install numpy scipy matplotlib openpyxl myokit wxpython py2exe`
2. Make .exe: 
`python3 setup.py py2exe`
3. The .exe and all necessary files should be in a folder `dist`.  
More info [here](http://www.py2exe.org/index.cgi/Tutorial#Step3).

## Author
Eike M Wülfers (2018--2022)

## Acknowledgements
Dr. Hannah Fürniss, Pia Iaconniani, and Dr. Ilona Bodi for providing recordings
and testing the software.

## License
TBD.
All rights reserved.
